

<div style="margin-bottom:32px;margin-top:25px;">
  <div class='col-xl-9 col-xs-12' style="display:block" data-tab-contents="0">
    <div class='row'>
      <div class='col-xl-8 col-lg-8 col-md-8 col-sm-7 col-xs-12 relative' style="display:block">
        <h2 class='white inline'><%= title %></h2>
        <div class="weather-center-sponsorship hidden-xs hidden-sm ">
          <span class="hidden-md weather-center-sponorship-text">from the</span>
          <img class='weather-center-sponsorship-image' src="" />
        </div>
        <div class='video-player' id='weather-takeover-video-player'>
          <a id='startGraphic' class="video-player-start-graphic" href='#' >
            <div class='blackhover'></div>
            <i class='fa fa-play-circle-o'></i>
            <img src="" class='title-graphic'/>
          </a>

        </div>

        <div class='live-feeds-container '>
          <div class='row '>
            <div class='col-md-6'>
              <h3>Weather Live Feeds</h3>
            </div>
            <div class='col-md-6 live-steam-sponsorship hidden-xs hidden-sm' style="color:white;position:relative;">
              <span style="position: absolute;top: 17px;right: 131px;">live streams driven by</span>
              <img class="pull-right" id='wxSponsorshipBottom' style="width:100px;margin-bottom:11px;">
            </div>
          </div>
          <% banners.forEach(function(b,i,a){ %>
            <div class="live-feed _selected <%= bannerClass(b, i, a) %>" data-banner-index="<%= i %>">
              <a href="#" >
                <span><%= b.title.split(':')[1] %></span>
                <span class='streaming'>Streaming</span>
              </a>
            </div>
          <% }) %>
        </div>

      </div>
      <div class='col-xl-4 col-lg-4 col-md-4 col-sm-5 hidden-xs'>
        <div class='watcheswarnings'>
          <div class='watchheader'>
            <h6>Watches and Warnings</h6>
            <p>Get The Latest Info For Your County</p>
          </div>
          <div class='scroll-for-warnings'>
            <%- warningList(10) %>
          </div>
          <%- radars() %>
          <div class='row hidden-xs download-and-safety '>
            <div class='download col-xs-12'>
              <img class='img-responsive logo download-icon'  />
              <h6>Download the App </h6>
              <p >Text 79640</p>
            </div>
            <div class='safety col-xs-12'>
              <h6>Share and Help Others Stay Safe</h6>
              <div class="row">
                <div class='col-xs-4'>
                  <a  class='social-icons centered social-icons-facebook'>
                    <i class='fa fa-facebook' ></i>
                  </a>
                </div>
                <div class='col-xs-4'>
                  <a  class='social-icons centered social-icons-twitter'>
                    <svg xmlns="http://www.w3.org/2000/svg" height="1em" viewBox="0 0 512 512" class="twitter">
                      <!--! Font Awesome Free 6.4.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                      <style>svg{fill:#fff;padding-top:4px;}</style>
                      <path d="M389.2 48h70.6L305.6 224.2 487 464H345L233.7 318.6 106.5 464H35.8L200.7 275.5 26.8 48H172.4L272.9 180.9 389.2 48zM364.4 421.8h39.1L151.1 88h-42L364.4 421.8z"/>
                    </svg>
                  </a>
                </div>
                <div class='col-xs-4'>
                  <a  class='social-icons centered social-icons-email''>
                    <i class='fa fa-envelope' ></i>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class='sliding-container' >
          <h3>Watches and Warnings</h3>
          <button type='button' >
            <span>Open</span>
            <i class="fa fa-arrow-left" ></i>
          </button>
          <div class='scrollable-list-container'>
            <%- warningList() %>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class='col-xl-3 visible-xl-block dark-background '>
    <div class='ad' id='weather-takeover-large-ad'>
    </div>
  </div>
  <div class='col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl tab-contents' style="display:none" data-tab-contents="1">
    <h3 class='text-center'>Alerts</h3>
    <h4 class='text-center'>Get The Latest Info For Your County</h4>
    <%- warningList() %>
  </div>
  <div class='col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl' style="display:none" data-tab-contents="2">
    <%- radars() %>
  </div>
  <div class='col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl'>
    <div class='row tab-buttons'>
      <div class='col-xs-4  text-center selected' data-tab-index="0">Live</div>
      <div class='col-xs-4  text-center' data-tab-index="1">Alerts</div>
      <div class='col-xs-4  text-center' data-tab-index="2">Radars</div>
    </div>

  </div>
</div>

<%

function radars(){

  return `<div class='radars'>
            <h3>Radars</h3>
            <div class='radar-inner'>
              <a href="/national-radar" >
                <div class="baron-weather-widget">
                  <iframe id="baron-widget-map"
                          name="map-widget"
                          src="${_affiliate.callSign === 'kotv'
                          ? 'https://staticbaronwebapps.velocityweather.com/digitial_wx/widgets/mapv2/index.html?initjson=/digitial_wx/widgets/dcms/242ecf93-8230-4291-8e7e-074b78928945/live/init.json'
                          : 'https://staticbaronwebapps.velocityweather.com/digitial_wx/widgets/mapv2/index.html?initjson=/digitial_wx/widgets/dcms/033a44bc-c6c5-414f-85a5-b2b5fa9cee3f/live/init.json'}"
                          marginwidth="0"
                          marginheight="0"
                          height="200px"
                          width="300px"
                          frameborder="0"
                          style="z-index: 1050"
                          scrolling="no">
                              no iframe support!

                  </iframe>
                  <script>
                  (function () {
                      var iframeElem = document.getElementById("baron-widget-map");

                      function maximize() {
                          if (iframeElem.requestFullscreen) {
                              iframeElem.requestFullscreen();
                          }
                      }
                      function minimize() {
                          if (document.exitFullscreen) {
                              document.exitFullscreen();
                          }
                      }
                      window.addEventListener("message", function (event) {
                          if (event.source !== iframeElem.contentWindow) return;
                          var isMaximized = event.data.toString() === 'true';
                          if (isMaximized) {
                              maximize();
                          } else {
                              minimize();
                          }
                      }, false);
                  })();
              </script>
                </div>
              </a>
              <div class='row'>
                <div class='col-xs-6 text-center'>
                  <a href="${_affiliate.callSign === 'kotv' ? '/warn-interactive-live-radar' : '/nextgen-live-radar'}" target='_blank' class="station-radar-link">
                    <button type='button'>${_affiliate.callSign === 'kotv' ? 'WARN Radar' : 'NextGen Radar'}</button>
                  </a>
                </div>
                <div class='col-xs-6 text-center'>
                  <a href="/national-radar" target='_blank'>
                    <button  type='button'>National Radar</button>
                  </a>
                </div>
              </div>
            </div>
          </div>`
}

function warningList(maxLength){
  let lis = warnings.slice(0, maxLength || warnings.length - 1).map(function(warning){
    return `<li>
              <i class='fa fa-circle' style="color:${warning.hexColor}"></i>
              <span class='county'>${warning.county}</span>
              <span class='warning'>${warning.type}</span>
              <div class="description" >${warning.alertTextShort}</div>
            </li>`
  })

  return `<div class='warning-list'>
            <ul>
              ${lis.join('')}
            </ul>
          </div>`
}


function bannerClass(b, i, a) {
    if (a.length <= 2) //all wide if two or less
      return 'full-width'
    let oddOrEven = 1
    if (a.length % 2 === 1) {
      oddOrEven = 0
      if (i === 0) //first one only wide
        return 'full-width'
    }
    if (i % 2 === oddOrEven) //if first one is wide, we offset the even ones instead
      return 'half-width-offset'
    else
      return 'half-width'
  }

%>
